#ifndef __USART2_H
#define __USART2_H

#include "main.h"
#include <stdio.h>
#include <string.h>
#include "usart_config.h"

// 定义枚举
typedef enum {
    BEAT_STOP,
    BEAT_START,
    BEAT_UNKNOWN
}beatstatus_e;

extern beatstatus_e beat_status;

/* 函数声明 */
void USART2_Config_Init(void);
void USART2_Process_Packet(uint8_t *pData, uint16_t Size);
void USART2_Send_Command(uint8_t data1, uint8_t data2, uint8_t data3, uint8_t data4, uint8_t data5);

#endif
